Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.aprs
Enum Symbols.Category

    java.lang.Object
      java.lang.Enum<Symbols.Category>
          org.ka2ddo.aprs.Symbols.Category

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Symbols.Category>

Enclosing class:
  Symbols

    public static enum Symbols.Category

extends java.lang.Enum<Symbols.Category>

Indicate the type of station or object associated with a symbol table ID and code tuple.

Enum Constant Summary
`DIGI`
`HOME`
`MOBILE`
`MOBILE_NOFLIP`
`OBJECT`
`OTHER`
`WEATHER`
`WX`

Method Summary
`static Symbols.Category` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Symbols.Category[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MOBILE

    public static final Symbols.Category MOBILE

### MOBILE_NOFLIP

    public static final Symbols.Category MOBILE_NOFLIP

### WX

    public static final Symbols.Category WX

### DIGI

    public static final Symbols.Category DIGI

### HOME

    public static final Symbols.Category HOME

### OBJECT

    public static final Symbols.Category OBJECT

### OTHER

    public static final Symbols.Category OTHER

### WEATHER

    public static final Symbols.Category WEATHER

Method Detail

### values

    public static Symbols.Category[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Symbols.Category c : Symbols.Category.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Symbols.Category valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD